/*******************************************************************************
 * Copyright (c) 2010 Attila Kovacs <attila_kovacs@post.harvard.edu>.
 * All rights reserved. 
 * 
 * This file is part of minicrush.
 * 
 *     minicrush is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     minicrush is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with minicrush.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila_kovacs@post.harvard.edu> - initial API and implementation
 ******************************************************************************/
import java.util.*;


public class GaussianSource {
	EquatorialCoordinates coords = new EquatorialCoordinates();
	double peak;
	double FWHM;
	
	public GaussianSource() {}

	public GaussianSource(String line) throws IllegalArgumentException {
		parse(line);
	}
	
	public void parse(String line) throws IllegalArgumentException {
		StringTokenizer tokens = new StringTokenizer(line);
		int entries = tokens.countTokens();
		if(entries < 5) throw new IllegalArgumentException("Not enough arguments to define a Gaussian source.");
		
		tokens.nextToken(); // name
		
		String coordSpec = "";
		for(int i=1; i<=3; i++) coordSpec += tokens.nextToken() + " ";
		//coordSpec = coordSpec.trim();
		
		//System.err.println("'" + coordSpec + "'");
		
		coords.parse(coordSpec);
		FWHM = Double.parseDouble(tokens.nextToken()) * Unit.arcsec;
		peak = Double.parseDouble(tokens.nextToken()) * Unit.V;
	}
}
