/*******************************************************************************
 * Copyright (c) 2010 Attila Kovacs <attila_kovacs@post.harvard.edu>.
 * All rights reserved. 
 * 
 * This file is part of minicrush.
 * 
 *     minicrush is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     minicrush is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with minicrush.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila_kovacs@post.harvard.edu> - initial API and implementation
 ******************************************************************************/
// Copyright (c) 2007 Attila Kovacs 


public class RadioProjection extends SphericalProjection {	
	public RadioProjection() {}

	@Override
	public String getFitsID() { return fitsID; }

	@Override
	public String getFullName() { return fullName; }

	
	public final void project(SphericalCoordinates coords, CoordinatePair toProjected) {
		toProjected.x = (coords.x - reference.x) * coords.cosLat;
		toProjected.y = coords.y - reference.y;
	}
	
	public final void deproject(CoordinatePair projected, SphericalCoordinates toCoords) {
		toCoords.setLatitude(reference.y + projected.y);
		toCoords.setLongitude(reference.x + projected.x / toCoords.cosLat);
	}
	
	
	// These are not used thanks to the overriding of the projection equations...
	@Override
	public void getOffsets(double theta, double phi, CoordinatePair toOffset) {
		// TODO Auto-generated method stub
		return;
	}

	@Override
	public double phi(CoordinatePair offset) {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public double theta(CoordinatePair offset) {
		// TODO Auto-generated method stub
		return 0;
	}

	
	public final static String fitsID = "GLS";
	public final static String fullName = "Radio";

}
