/*******************************************************************************
 * Copyright (c) 2010 Attila Kovacs <attila_kovacs@post.harvard.edu>.
 * All rights reserved. 
 * 
 * This file is part of minicrush.
 * 
 *     minicrush is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     minicrush is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with minicrush.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila_kovacs@post.harvard.edu> - initial API and implementation
 ******************************************************************************/
// Copyright (c) 2007 Attila Kovacs 



public class ZenithalEqualArea extends ZenithalProjection {

	public ZenithalEqualArea() {}

	@Override
	public final double R(double theta) {
		return Math.sqrt(2.0*(1.0-Math.sin(theta)));
	}

	@Override
	public final double thetaOfR(double value) {
		return 0.5*Math.PI - 2.0*asin(0.5*value);
	}

	public String getFitsID() { return fitsID; }

	public String getFullName() { return fullName; }

	
	public final static String fitsID = "ZEA";
	public final static String fullName = "Zenithal Equal-Area";
	
	
}
