/*******************************************************************************
 * Copyright (c) 2010 Attila Kovacs <attila_kovacs@post.harvard.edu>.
 * All rights reserved. 
 * 
 * This file is part of minicrush.
 * 
 *     minicrush is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     minicrush is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with minicrush.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Contributors:
 *     Attila Kovacs <attila_kovacs@post.harvard.edu> - initial API and implementation
 ******************************************************************************/
// Copyright (c) 2007 Attila Kovacs 



public abstract class ZenithalProjection extends SphericalProjection {

	public ZenithalProjection() { 
		isPolar = true; 
		referenceNative.set(0.0, 0.5 * Math.PI);
	}
		
	public final double phi(CoordinatePair offset) {
		return Vector2D.getAngle(-offset.y, offset.x);
	}
	
	public final double theta(CoordinatePair offset) {
		return thetaOfR(Math.sqrt(offset.x*offset.x + offset.y*offset.y));
	}
	
	public final void getOffsets(double theta, double phi, CoordinatePair toOffset) {
		double R = R(theta);
		// What is in Calabretta and Greisen 2002
		toOffset.x = R * Math.sin(phi);
		toOffset.y = -R * Math.cos(phi);
	}
	
	
	public abstract double R(double theta);
	
	public abstract double thetaOfR(double value);
	

}
